summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-01-14 18:14:39 +0000
committerMichał Górny <mgorny@gentoo.org>2012-01-14 18:14:39 +0000
commitf189eb6fc4881c7f3476671e791f9ed115fd17c2 (patch)
tree4dbec619a4fee2519f51d8dc85106c963d6c7b9d /eclass
parentVersion bump, drop old (diff)
downloadhistorical-f189eb6fc4881c7f3476671e791f9ed115fd17c2.tar.gz
historical-f189eb6fc4881c7f3476671e791f9ed115fd17c2.tar.bz2
historical-f189eb6fc4881c7f3476671e791f9ed115fd17c2.zip
Replace the docdir-directory error with a warning.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/autotools-utils.eclass24
2 files changed, 15 insertions, 14 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index dac8d48ab6fb..435606e592a8 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.83 2012/01/14 15:18:05 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.84 2012/01/14 18:14:39 mgorny Exp $
+
+ 14 Jan 2012; Michał Górny <mgorny@gentoo.org> autotools-utils.eclass:
+ Replace the docdir-directory error with a warning.
14 Jan 2012; Michał Górny <mgorny@gentoo.org> autotools-utils.eclass:
Pass --force to eautopoint and few other pre-autoreconf funcs.
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index 3e1b539c0595..2239b55d0f32 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.38 2012/01/14 15:18:05 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.39 2012/01/14 18:14:39 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@@ -447,18 +447,16 @@ autotools-utils_src_install() {
# Move docs installed by autotools (in EAPI < 4).
if [[ ${EAPI} == [23] && -d ${D}${EPREFIX}/usr/share/doc/${PF} ]]; then
- mkdir "${T}"/temp-docdir
- mv "${D}${EPREFIX}"/usr/share/doc/${PF}/* "${T}"/temp-docdir/ \
- || die "moving docs to tempdir failed"
-
- local f
- for f in "${T}"/temp-docdir/*; do
- [[ -d ${f} ]] \
- && die "directories in docdir require at least EAPI 4"
- done
-
- dodoc "${T}"/temp-docdir/* || die "docdir dodoc failed"
- rm -r "${T}"/temp-docdir || die
+ if [[ $(find "${D}${EPREFIX}"/usr/share/doc/${PF}/* -type d) ]]; then
+ eqawarn "autotools-utils: directories in docdir require at least EAPI 4"
+ else
+ mkdir "${T}"/temp-docdir
+ mv "${D}${EPREFIX}"/usr/share/doc/${PF}/* "${T}"/temp-docdir/ \
+ || die "moving docs to tempdir failed"
+
+ dodoc "${T}"/temp-docdir/* || die "docdir dodoc failed"
+ rm -r "${T}"/temp-docdir || die
+ fi
fi
# XXX: support installing them from builddir as well?